Autor Tópico: Tutorial para HSP56 MR driver Smartlink  (Lida 977086 vezes)

Offline walfrido

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Tutorial para HSP56 MR driver Smartlink
« Resposta #180 Online: 29 de Junho de 2006, 16:26 »
para a galera q quer compilar o drive na mao para o ubuntu 6.06 como alarcon fez pro 5.10
vale lembrar que alguns pacotes como o build essentials, o gcc e o cpio dentre outros estao disponiveis no proprio cd do ubuntu 6.06. ´e s´o inserir o disco e atualizar o synaptic


abracao para todos

Offline rbrazileiro

  • Usuário Ubuntu
  • *
  • Mensagens: 54
    • Ver perfil
    • http://www.geocities.com/rbrazileiro
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #181 Online: 08 de Julho de 2006, 08:41 »
para a galera q quer compilar o drive na mao para o ubuntu 6.06 como alarcon fez pro 5.10
vale lembrar que alguns pacotes como o build essentials, o gcc e o cpio dentre outros estao disponiveis no proprio cd do ubuntu 6.06. ´e s´o inserir o disco e atualizar o synaptic


abracao para todos

Walfrido, blz? Eu utilizei a tua dica para instalar o meu modem no Dapper 6.06. Mas antes eu tentei fazer na mao pelo exemplo do alarcon,  não deu certo, quando tentei o seu,  funcionou. Obrigado..

Me tira uma dúvida. O que é o Dummy Mode? Ele é pior ou melhor do que instalar na mão. Existe diferença?

Valeu
Ricardo Brazileiro

"Eu acredito na liberdade"

Offline Servo

  • Usuário Ubuntu
  • *
  • Mensagens: 80
    • Ver perfil
    • eu e Cristo
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #182 Online: 08 de Julho de 2006, 10:39 »
Eu tenho osmartlink instalado no meu dapper como sugerido pelos amigos, mas ao atualizar o sistema foi instalada uma nova imagem de kernel (.15.25) que fez com q o me modem parasse de funcionar. Depois disso qualquer tentativa de instalação foi frustrada pq na compilação não encontrava os caminhos para executar os comandos make e make install. Eu reinstalei o sistema e instalei o sl-modem-source e sl-modem daemon, q eu não havia instalado antes. A minha pergunta é: o q será q aconteceu? Será q se eu atualizar novamente o sistema vou ter este mesmo erro?

Obrigado pela atenção!

Offline flaviostz

  • Usuário Ubuntu
  • *
  • Mensagens: 10
    • Ver perfil
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #183 Online: 15 de Julho de 2006, 08:57 »
Olá pessoal!

Já sou usuário do Ubuntu desde de o início do ano. Consegui sem problemas fazer meu modem funcionar na versão 5.04 e 5.10 do Ubuntu seguindo os tutoriais postados aqui.

Agora fiz um upgrade para versão 6.06 e parece que está um pouco diferente das outras versões. Vocês tem um tutorial detalhado para fazer o modem smartlink funcionar com essa versão de ubuntu?

Infelizmente,agora, estou acessando internet usando meu Windows XP ( arrrghhh !!! ).  :-[

T+

flavio

Offline flaviostz

  • Usuário Ubuntu
  • *
  • Mensagens: 10
    • Ver perfil
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #184 Online: 22 de Julho de 2006, 08:35 »
Pessoal, eu vi os posts anteriores e ainda não consegui entender como faço para instalar o modem no ubunut 6.06. Alguma dica? Quem pode me ajudar? O ideal seria um tutorial passo a passo.

Ah! Nos posts eu vi que precisa fazer update de pacotes, mas eu não consigo porque eu preciso do modem para acessar a internet  ;)

Alguma ideia?

flavio

Offline aleksandre

  • Usuário Ubuntu
  • *
  • Mensagens: 92
  • The future is open
    • Ver perfil
    • Google Profile
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #185 Online: 23 de Julho de 2006, 19:47 »
Olá a todos!

Observei uns três posts que relatavam o êxito de conseguir a compilação do driver para o Dapper.
Um desses abençoados poderia por gentileza nos detalhar como conseguiram essa façanha, por favor.

Já eu por aqui só conseguir usar o pacote do Alarcon parcialmente no Breezy, de onde teclo no momento!
Estou usando o segundo pacote, que vem com o ungrabed-winmodem, pois o primeiro não funcionava no meu caso.
No entanto, há qualquer coisa de erra por aqui, pois meu modem só funciona se eu manualmente fizer o que os scripts de inicialização deveriam fazer, ou seja:

No terminal:

modprobe -r slamr
modprobe ungrab-winmodem
modprobe slamr
slmodemd --country=BRAZIL --perm=0666 /dev/slamr0&
ln -sf /dev/ttySL0 /dev/modem


Só funciona assim! Alguém passou pelo mesmo e conseguiu corrigir?

Agradeço a quem puder ajudar!

Offline aleksandre

  • Usuário Ubuntu
  • *
  • Mensagens: 92
  • The future is open
    • Ver perfil
    • Google Profile
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #186 Online: 25 de Julho de 2006, 00:36 »
Olá a todos!

Consegui fazer com que meu NetoDragon funcionasse no meu Ubuntu 6.06 LTS Dapper Drake.
Os procedimentos que utilizei foram os seguintes (desculpem minha forma dummy!):

Primeiro baixe os seguintes pacotes em um micro com acesso à internet:

*modem-arquivos-v4.tar.gz (http://prdownloads.sourceforge.net/projeto-messias/modem-arquivos-v4.tar.gz?download)- Pacote criado e mantido pelo meu conterrâneo Alarcon, mas para ser usado no Brezzy. Usaremos alguns arquivos dele!
*libgnutls11_1.0.16-13.1ubuntu1.1_i386.deb (http://debian.linux.org.tw/ubuntu/pool/main/g/gnutls11/libgnutls11_1.0.16-13.1ubuntu1.1_i386.deb) - Dependência exigida para a instalação do discador Gnome-ppp.
*sl-modem-daemon (http://ftp.ubuntu.com/ubuntu/pool/multiverse/s/sl-modem/sl-modem-daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb) - Provedor de alguns scripts para carregar os módulos do modem no boot. Esse vai atualizar o que é instalado pelo pacote do Alarcon.

Vá em Aplicações -> Acessórios -> Terminal

Digite no terminal:
$Sudo su
#(sua senha)
#gedit /etc/apt/sources.list

No editor de texto que se abre, marque o início de todas as linhas que lá se encontram com um "#" e cole no final do arquivo a seguinte linha:
deb cdrom:[Ubuntu 6.06 _Dapper Drake_ - Release i386 (20060531)]/ dapper main restricted

Agora coloque o cd do Dapper no driver, feche qualquer janela que possa ter aparecido automaticamente e digite no terminal:

#apt-get update


#apt-get install make gcc build-essential linux-headers-2.6.15-23-386

Vá no pacote do Alarcon (modem-arquivos-v4.tar.gz), clique com o botão direito do mouse no arquivo e escolha extrair aqui; acesse a pasta descompactada e separe os seguintes pacotes: libasound2_1.0.10-2_i386.deb, libasound2-dev_1.0.10-2_i386.deb, softmodems-smartlink.deb e gnome-ppp_0.3.21-1_i386.deb (transfira-os para uma outra pasta qualquer). Coloque os pacotes libgnutls11_1.0.16-13.1ubuntu1.1_i386.deb e sl-modem-daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb nessa mesma pasta em que você separou esses pacotes.

Agora digite os seguintes comandos:

#cd /no_da_pasta_separada
#dpkg -i libgnutls11_1.0.16-13.1ubuntu1.1_i386.deb
#dpkg -i gnome-ppp_0.3.21-1_i386.deb libasound2_1.0.10-2_i386.deb libasound2-dev_1.0.10-2_i386.deb softmodems-smartlink.deb

Siga os procedimentos que serão pedidos nas caixas de diálogo que se abrem e depois faça um teste de conexão com o gnome-ppp. Satisfeito com o resultado? Ainda não terminou. Digite:

#dpkg -i sl-modem-daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb

Confirme com "Y" às perguntas para que os scripts antigos sejam substituídos;
Reinicie todo o sistema e tente conectar-se novamente.

Comigo funcionou normal, mas se com você ainda aparecer a mensagem de que nenhum modem foi encontrado, não se desespere. Tente:

#/etc/init.d/sl-modem-daemon stop
#modprobe -r slamr
#/etc/init.d/sl-modem-daemon start

E vá em busca de solução por aqui!
Boa sorte!
« Última modificação: 30 de Julho de 2006, 08:45 por aleksandre »

Offline karioka

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #187 Online: 25 de Julho de 2006, 00:52 »
O problema é que muita gente consegue mas quando o sistema reicia, já era, tem que carregar os módulos de novo.
Consegui um jeito de carregar esse módulo no boot

Consegui assim:

Procedimentos:
Abra um terminal:
Aplicações > Acessórios > Terminal
Digite: sudo su
Password: ***** sua senha
root@ubuntu:/home/usuario#
# cat /proc/version
# Linux version 2.6.12-10-386 (buildd@terranova) (gcc version 3.4.5 20050809 (prer elease) (Ubuntu 3.4.4-6ubuntu8.1)) #1 Tue Jul 18 22:08:27 UTC 2006
Isso ira mostrar a versão do seu Kernel, no meu caso é: 2.6.12-10-386]
Agora baixe o driver Smart Link equivalente a seu kernel neste link:
http://linmodems.technion.ac.il/packages/smartlink/Ubuntu
Entre na pasta onde você fez o download do arquivo:
Exemplo:
root@ubuntu:/home/usuario# cd tmp
root@ubuntu:/home/usuario/tmp# cd slamr-2.6.12-10-386
roo@ubuntu:/home/usuario/tmp/slamr-2.6.12-10-386# ./setup
Reicie seu sistema.
Agora a dica:
Abra um terminal:
Aplicações > Acessórios > Terminal
Digite: sudo su
Password: ***** sua senha
root@ubuntu:/home/usuario# gedit /etc/rc2.d/S20sl-modem-daemon
Procure por essas linhas no início:

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/slmodemd
NAME=slmodemd
PIDFILE=/var/run/$NAME.pid
DESC="SmartLink modem daemon"
modprobe="$(cat /proc/sys/kernel/modprobe 2>/dev/null || echo modprobe)"
...

Adicione isso:

modprobe -r slamr
modprobe ungrab-winmodem
modprobe slamr
slmodemd --country=BRAZIL --perm=0666 /dev/slamr0&
ln -sf /dev/ttySL0 /dev/modem

Vai ficar assim:

#!bin/sh
#
modprobe -r slamr
modprobe ungrab-winmodem
modprobe slamr
slmodemd --country=BRAZIL --perm=0666 /dev/slamr0&
ln -sf /dev/ttySL0 /dev/modem
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/slmodemd
NAME=slmodemd
PIDFILE=/var/run/$NAME.pid
DESC="SmartLink modem daemon"
modprobe="$(cat /proc/sys/kernel/modprobe 2>/dev/null || echo modprobe)"
...... tem mais coisa aqui pra baixo mas não precisa mexer em nada.

Agora é só configurar o GNOME PPP.
« Última modificação: 25 de Julho de 2006, 00:56 por karioka »

Offline tupa

  • Usuário Ubuntu
  • *
  • Mensagens: 76
    • Ver perfil
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #188 Online: 26 de Julho de 2006, 04:12 »
aleksandre segui as suas dicas e olha so o houve, karioka se puder ajudar fico grato, segue abaixo

1 passo
ubuntu@ubuntu-desktop:~$ sudo su
Password:
root@ubuntu-desktop:/home/ubuntu# gedit /etc/apt/sources.list

(gedit:5164): GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : None of the authentication protocols specified  are supported and host-based authentication failed.
root@ubuntu-desktop:/home/ubuntu# apt-get update
Err http://br.archive.ubuntu.com dapper Release.gpg
  Falaha temporária resolvendo 'br.archive.ubuntu.com'
Err http://br.archive.ubuntu.com dapper-updates Release.gpg
  Falaha temporária resolvendo 'br.archive.ubuntu.com'
Err http://security.ubuntu.com dapper-security Release.gpg
  Falaha temporária resolvendo 'security.ubuntu.com'
Falha ao baixar http://br.archive.ubuntu.com/ubuntu/dists/dapper/Release.gpg  Fa laha temporária resolvendo 'br.archive.ubuntu.com'
Falha ao baixar http://br.archive.ubuntu.com/ubuntu/dists/dapper-updates/Release .gpg  Falaha temporária resolvendo 'br.archive.ubuntu.com'
Falha ao baixar http://security.ubuntu.com/ubuntu/dists/dapper-security/Release. gpg  Falaha temporária resolvendo 'security.ubuntu.com'
Lendo Lista de Pacotes... Pronto
W: Alguns arquivos de índice falharam no download, eles foram ignorados ou os an tigos foram usados em seu lugar.
root@ubuntu-desktop:/home/ubuntu#

2 passo
root@ubuntu-desktop:/home/ubuntu# apt-get -y install make gcc build-essential linux-headers-2.6.15-23-386
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
E: O pacote smartlink-ubuntu precisa ser reinstalado, mas não foi possível encontrar um repositório para o mesmo.
root@ubuntu-desktop:/home/ubuntu#

3 passo
root@ubuntu-desktop:/home/ubuntu/erro/teste/teste1# dpkg -i libgnutls11_1.0.16-13.1ubuntu1.1_i386.deb
(Lendo banco de dados ... 70274 arquivos e diretórios atualmente instalados.)
Preparando para substituir libgnutls11 1.0.16-13.1ubuntu1.1 (usando libgnutls11_1.0.16-13.1ubuntu1.1_i386.deb) ...
Descompactando substituto libgnutls11 ...
Instalando libgnutls11 (1.0.16-13.1ubuntu1.1) ...

root@ubuntu-desktop:/home/ubuntu/erro/teste/teste1# dpkg -i gnome-ppp_0.3.21-1_i386.deb libasound2_1.0.10-2_i386.deb libasound2-dev_1.0.10-2_i386.deb softmodems-smartlink.deb
(Lendo banco de dados ... 70274 arquivos e diretórios atualmente instalados.)
Preparando para substituir gnome-ppp 0.3.21-1 (usando gnome-ppp_0.3.21-1_i386.deb) ...
Descompactando substituto gnome-ppp ...
Preparando para substituir libasound2 1.0.10-2 (usando libasound2_1.0.10-2_i386.deb) ...
Descompactando substituto libasound2 ...
Preparando para substituir libasound2-dev 1.0.10-2 (usando libasound2-dev_1.0.10-2_i386.deb) ...
Descompactando substituto libasound2-dev ...
Descompactando softmodems-smartlink (de softmodems-smartlink.deb) ...
dpkg: erro processando softmodems-smartlink.deb (--install):
 tentando sobrescrever `/tmp/slmodem-2.9.11-20051101/Makefile', que também está no pacote smartlink-ubuntu
dpkg-deb: subprocesso paste morto por sinal (Pipe quebrado)
Instalando gnome-ppp (0.3.21-1) ...

Instalando libasound2 (1.0.10-2) ...

dpkg: problemas de dependência impedem configuração de libasound2-dev:
 libasound2-dev depende de libc6-dev | libc-dev; porém:
  Pacote libc6-dev não está instalado.
  Pacote libc-dev não está instalado.
dpkg: erro processando libasound2-dev (--install):
 problemas de dependência - deixando desconfigurado
Erros foram encontrados durante processamento de:
 softmodems-smartlink.deb
 libasound2-dev
root@ubuntu-desktop:/home/ubuntu/erro/teste/teste1#
root@ubuntu-desktop:/home/ubuntu/erro/teste/teste1# #apt-get -y install sl-modem-daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb
root@ubuntu-desktop:/home/ubuntu/erro/teste/teste1#


eu acho que ñ tenho instalado o make , make install, kernel-headers, qdo entro symantec e busco por estes nomes ñ encontro eles, sera q isso é possivel pessoal pois qdo se instala o sistema no hd ele ñ leva pra dento estes pacotes??? bom espero que vcs me ajudem....sou totalmente leigo em linux mas quero muito usar este ubuntu..

valeu a todos..


Offline aleksandre

  • Usuário Ubuntu
  • *
  • Mensagens: 92
  • The future is open
    • Ver perfil
    • Google Profile
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #189 Online: 27 de Julho de 2006, 00:39 »
Olá, Tupa!

Ao que parece, seu cd não está sendo reconnecido pelo apt!
Eu atualizei as instrunções lá em cima; organizei um pouco!
Por favor tenta novamente e vê se dessa vez vai!
Pra não ter problema com buscas nos repositórios, comenta cada um deles no souce.list e deixa descomentado apenas a linha do cd do Dapper.
Só pra lembrar: essas instrunções aí são para o Ubuntu 6.06 LTS! Não dará certo se você estiver usando o kubuntu.

Já os problemas de ter que levantar os módulos depois de cada reboot foi resolvido simplismente com a atualização do sl-modem-daemon, conforme explicado acima!

Boa sorte a todos!

Offline tupa

  • Usuário Ubuntu
  • *
  • Mensagens: 76
    • Ver perfil
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #190 Online: 27 de Julho de 2006, 04:36 »
olha só amigo tentei novamente e tive o mesmo problema, o q devo fazer ??

root@ubuntu-desktop:/home/ubuntu/erro/teste/teste1# dpkg -i libgnutls11_1.0.16-13.1ubuntu1.1_i386.deb
(Lendo banco de dados ... 70286 arquivos e diretórios atualmente instalados.)
Preparando para substituir libgnutls11 1.0.16-13.1ubuntu1.1 (usando libgnutls11_1.0.16-13.1ubuntu1.1_i386.deb) ...
Descompactando substituto libgnutls11 ...
Instalando libgnutls11 (1.0.16-13.1ubuntu1.1) ...

root@ubuntu-desktop:/home/ubuntu/erro/teste/teste1# dpkg -i gnome-ppp_0.3.21-1_i386.deb libasound2_1.0.10-2_i386.deb libasound2-dev_1.0.10-2_i386.deb softmodems-smartlink.deb
(Lendo banco de dados ... 70286 arquivos e diretórios atualmente instalados.)
Preparando para substituir gnome-ppp 0.3.21-1 (usando gnome-ppp_0.3.21-1_i386.deb) ...
Descompactando substituto gnome-ppp ...
Preparando para substituir libasound2 1.0.10-2 (usando libasound2_1.0.10-2_i386.deb) ...
Descompactando substituto libasound2 ...
Preparando para substituir libasound2-dev 1.0.10-2 (usando libasound2-dev_1.0.10-2_i386.deb) ...
Descompactando substituto libasound2-dev ...
Descompactando softmodems-smartlink (de softmodems-smartlink.deb) ...
dpkg: erro processando softmodems-smartlink.deb (--install):
 tentando sobrescrever `/etc/default/sl-modem-daemon', que também está no pacote sl-modem-daemon
dpkg-deb: subprocesso paste morto por sinal (Pipe quebrado)
Instalando gnome-ppp (0.3.21-1) ...

Instalando libasound2 (1.0.10-2) ...

dpkg: problemas de dependência impedem configuração de libasound2-dev:
 libasound2-dev depende de libc6-dev | libc-dev; porém:
  Pacote libc6-dev não está instalado.
  Pacote libc-dev não está instalado.
dpkg: erro processando libasound2-dev (--install):
 problemas de dependência - deixando desconfigurado
Erros foram encontrados durante processamento de:
 softmodems-smartlink.deb
 libasound2-dev
root@ubuntu-desktop:/home/ubuntu/erro/teste/teste1#
root@ubuntu-desktop:/home/ubuntu/erro/teste/teste1# dpkg -i gnome-ppp_0.3.21-1_i386.deb libasound2_1.0.10-2_i386.deb libasound2-dev_1.0.10-2_i386.deb softmodems-smartlink.deb


Offline tupa

  • Usuário Ubuntu
  • *
  • Mensagens: 76
    • Ver perfil
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #191 Online: 27 de Julho de 2006, 04:42 »
aleksandre descupa ai pela pertubação, mas como eu disse sou leigo em linux mas tenho muita vontade de aprender, vc disse que conseguiu fazer o modem funcionar certo, meu ñ tem como vc colocar um passo a passo com linguagem bem simples pq talves eu ñ esteja entendendo a linguagem tecnica do processo...sendo assim talves eu consiga......outra duvida q tenho os pacotes make, gcc kernel-headers e os outros que é preciso para que tudo funcione eu tento localizar eles pelo symantic mas ñ os encontro, sera que eles estão instalados??? na instalação do sistema estes pacotes ñ vão automaticamente??

obrigado pela atenção

Offline aleksandre

  • Usuário Ubuntu
  • *
  • Mensagens: 92
  • The future is open
    • Ver perfil
    • Google Profile
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #192 Online: 27 de Julho de 2006, 05:05 »
É o seguinte, Tupa!

Esse pacotes aí estão no cd do Dapper, mas não foram instalados com a instalação do sistema. Então se faz necessáio fazer o sistema do apt reconhecer o cd novamente como um repositório de pacotes. É por isso que eu adiciono a linha com o endereço do cd no sources.lis. O que pode estar ocorrendo no seu caso é do seu cd ser de uma versão do Dappe diferente da minha e por isso não está sendo reconhecido pelo seu apt da forma como eu coloquei.

Vamos então tentar diferente. Vá em Sistema -> Administração -> Gerenciador de Pacotes Synaptic;
Digite sua senha de usuário. Agora, no synaptic, vá em Editar -> Adicionar CDROM... Insira o seu cd Dapper e dê ok.
Pedindo outro cd, diga não. Pronto! Agora o seu sistema deverá ter reconhecido seu cd. Agora, ainda no synaptic, vá em Configurações -> Repositórios -> e em Média de Instalação, desmarque tudo, menos a linha do CD disk with Ubuntu 6.06 LTS (Binary); clique em fechar.
Vá em Recarregar e deixe o synaptic ler os pacotes do cd. A partir de agora você pode instalar os pacotes make, etc pelo synaptic ou pela linha de comando como descrito no meu post anterior. Aconselho a fechar o synaptic e seguir o meu roteiro anterior a partir do:
#apt-get -i install make gcc build-essential linux-headers-2.6.15-23-386

Espero que agora dê resultado!

Offline tupa

  • Usuário Ubuntu
  • *
  • Mensagens: 76
    • Ver perfil
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #193 Online: 28 de Julho de 2006, 05:29 »
amigo, aleksandre seguinte, formatei e instalei novamente o sistema e apos instalado segui os procedimentos, foi tranquilo até o penultimo item, mesmo assim tentei conectar o modem deu sinal de vida e tentou fazer a conexão mas em seguida caiu, segue abaixo o erro q deu no ultimo item dos procedinentosm acho que foi no caracter  ( -i ), teve também uma critica a respeito do pacote slmodem-daemon, bom é isso , espero que vc possa me ajudar mais uma vez

valeu

root@milton-desktop:/home/milton/Modem1/tentativa1# apt-get -i install sl-modem-daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb
E: Opção de linha de comando 'i' [de -i] é desconnhecida.
root@milton-desktop:/home/milton/Modem1/tentativa1# apt-get install sl-modem-daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
E: Impossível achar pacote sl-modem-daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb
root@milton-desktop:/home/milton/Modem1/tentativa1# apt-get -i install sl-modem- daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb
E: Opção de linha de comando 'i' [de -i] é desconnhecida.
root@milton-desktop:/home/milton/Modem1/tentativa1# apt-get -i install sl-modem- daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb
E: Opção de linha de comando 'i' [de -i] é desconnhecida.
root@milton-desktop:/home/milton/Modem1/tentativa1# apt-get  install sl-modem-da emon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
E: Impossível achar pacote sl-modem-daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb
root@milton-desktop:/home/milton/Modem1/tentativa1# /etc/init.d/sl-modem-daemon stop
Shutting down SmartLink Modem driver normally.
Unloading modem driver from kernel ... slamr. ungrab_winmodem.
root@milton-desktop:/home/milton/Modem1/tentativa1# modprobe -r slamr
root@milton-desktop:/home/milton/Modem1/tentativa1# /etc/init.d/sl-modem-daemon start
ungrab-winmodem driver loaded, to gaurantee modem access by slamr
slamr driver loaded
Starting SmartLink slmodemd support for: slamr0.
Creating /dev/modem symlink, pointing to: /dev/ttySL0.
lrwxrwxrwx 1 root root 11 2006-07-28 04:41 /dev/modem -> /dev/ttySL0
lrwxrwxrwx 1 root root 10 2006-07-28 04:41 /dev/ttySL0 -> /dev/pts/1
root@milton-desktop:/home/milton/Modem1/tentativa1#

Offline aleksandre

  • Usuário Ubuntu
  • *
  • Mensagens: 92
  • The future is open
    • Ver perfil
    • Google Profile
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #194 Online: 29 de Julho de 2006, 01:08 »
Tupa,

Rapaz, me perdôe! Eu errei ao corrigi meu tuto aí em cima! Eu usei apt-get -i quando o correto é dpkg -i... Depois que você reconhece o cd do Dapper, você usa apt-get install pacotes, e os demais comandos vai o dpkg -i pacote...foi realmente um erro lamentável. Mas agora está tudo certo (desfiz a besteira que tinha feito!). Infellizmente você vai ter que refazer tudo novamente! Mas como pode ver está no caminho certo, embora, eu tenha te desviado um pouco!
Paciência e boa sorte!
Ateh!

Repetindo o Tutorial com as devidas correções:

Primeiro baixe os seguintes pacotes em um micro com acesso à internet:

*modem-arquivos-v4.tar.gz (http://prdownloads.sourceforge.net/projeto-messias/modem-arquivos-v4.tar.gz?download)- Pacote criado e mantido pelo meu conterrâneo Alarcon, mas para ser usado no Brezzy. Usaremos alguns arquivos dele!
*libgnutls11_1.0.16-13.1ubuntu1.1_i386.deb (http://debian.linux.org.tw/ubuntu/pool/main/g/gnutls11/libgnutls11_1.0.16-13.1ubuntu1.1_i386.deb) - Dependência exigida para a instalação do discador Gnome-ppp.
*sl-modem-daemon (http://ftp.ubuntu.com/ubuntu/pool/multiverse/s/sl-modem/sl-modem-daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb) - Provedor de alguns scripts para carregar os módulos do modem no boot. Esse vai atualizar o que é instalado pelo pacote do Alarcon.

Vá em aplicações -> Acessórios -> Terminal

Digite no terminal:
#Sudo su
#(sua senha)
#gedit /etc/apt/sources.list

No editor de texto que se abre, marque o início de todas as linhas que lá se encontram com um "#" e cole no final do arquivo a seguinte linha:
deb cdrom:[Ubuntu 6.06 _Dapper Drake_ - Release i386 (20060531)]/ dapper main restricted

Agora coloque o cd do Dapper no driver, feche qualquer janela que possa ter aparecido automaticamente e digite no terminal:

#apt-get update

#apt-get install make gcc build-essential linux-headers-2.6.15-23-386

Vá no pacote do alarcon (modem-arquivos-v4.tar.gz), clique com o botão direito do mouse no arquivo e escolha extrair aqui; acesse a pasta descompactada e separe os seguintes pacotes: libasound2_1.0.10-2_i386.deb, libasound2-dev_1.0.10-2_i386.deb, softmodems-smartlink.deb e gnome-ppp_0.3.21-1_i386.deb (transfira-os para uma outra pasta qualquer). Coloque os pacotes libgnutls11_1.0.16-13.1ubuntu1.1_i386.deb e sl-modem-daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb nessa mesma pasta em que você separou esses pacotes.

Agora digite os seguintes comandos:

#cd /no_da_pasta_separada
#dpkg -i libgnutls11_1.0.16-13.1ubuntu1.1_i386.deb
#dpkg -i gnome-ppp_0.3.21-1_i386.deb libasound2_1.0.10-2_i386.deb libasound2-dev_1.0.10-2_i386.deb softmodems-smartlink.deb

Siga os procedimentos que serão pedidos nas caixas de diálogo que se abrem e depois faça um teste de conexão com o gnome-ppp. Satisfeito com o resultado? Ainda não terminou. Digite:

#dpkg -i sl-modem-daemon_2.9.10+2.9.9d+e-pre2-5build1_i386.deb

Confirme com "Y" às perguntas para que os scripts antigos sejam substituídos;
Reinicie todo o sistema e tente conectar-se novamente.

Comigo funcionou normal, mas se com você ainda aparecer a mensagem de que nenhum modem foi encontrado, não se desespere. Tente:

#/etc/init.d/sl-modem-daemon stop
#modprobe -r slamr
#/etc/init.d/sl-modem-daemon start

E vá em busca de solução por aqui!
Boa sorte!
« Última modificação: 30 de Julho de 2006, 08:48 por aleksandre »